﻿#table-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

/* 設定表格的邊框和間距 */
.table {
    border-collapse: collapse;
    width: 100%;
    max-width: 600px;
    border: 1px solid #ccc;
    margin: 20px;
}

/* 設定表頭的背景和文字顏色 */
.table th {
    background-color: #f2f2f2;
    color: #333;
    padding: 10px;
    text-align: left;
}

/* 設定單元格的填充和邊框 */
.table td {
    padding: 10px;
    border: 1px solid #ccc;
}

/* 設定新增按鈕的樣式 
#add-row-button {
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    margin-top: 10px;
    border-radius: 5px;
}
*/
#add-row-button:hover {
    background-color: #0056b3;
}

.order-info {
    font-size: 20px;
    font-weight: bold;
}

.order-number {
    font-size: 20px;
    margin-right: 10px;
    font-weight: bold;
   
}

.part-number {
    display: inline-block;
    font-size: 20px;
    text-align: right;
    font-weight: bold;

}
.part-number2 {
    display: inline-block;
    font-size: 20px;
    font-weight: bold;
    text-align: left;
}

.red {
    color: red;
}
.jumbotron {
    padding: 4rem 2rem;
    margin-bottom: 2rem;
    border-radius: .3rem;
    background-image: url(../img/index.jpg);
    background-size: auto 100%;
    background-repeat: no-repeat;
    background-position: 100%;
}

img {
    max-width: 100%;
    width: 100%;
    margin-left: auto;
    display: block;
    margin-right: auto;
}

#intro .jumbotron {
    height: 70vh;
    margin-bottom: 0px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Noto Sans TC', sans-serif;
}

p,
a,
input,
label,
textarea,
span,
ul,
li {
    font-family: 'Open Sans', sans-serif;
}

#intro h1 {
    font-size: 52px;
    font-weight: 400;
    line-height: 1.5;
}

#intro .container {
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

header nav img {
    width: 160px;
    
}

header li {
    margin: 0 10px;
}

h3 {
    font-size: 36px;
    line-height: 1.5;
}

p {
    color: #707070;
}

p.lead {
    color: black;
}

#second {
    padding: 80px 0px;
}

#second h3 {
    margin-bottom: 80px;
}

#second img {
    width: 100px;
    margin-bottom: 13px;
}

#latest {
    padding: 10px 0px;
    background: rgb(248, 248, 248);
}

#latest h3 {
    margin-bottom: 0px;
}

#latest .upper {
    position: relative;
}

#latest .innertext {
    position: absolute;
    bottom: 24px;
    left: 24px;
}

#latest .innertext span {
    background: rgba(255, 255, 255, 0.8);
    padding: 6px 15px;
    border-radius: 20px;
}

#latest .lower h3 {
    font-size: 24px;
    margin-bottom: 12px;
    margin-top: 12px;
}

#latest .outer {
    background: white;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0, 0.08);
}

#latest .lower {
    padding: 6px 20px 20px 20px;
}

#latest a {
    color: black;
    text-decoration: none;
}

.d-flex a {
    color: black;
    text-decoration: none;
}

header nav {
    background: white;
}
/*20231002 update ula*/
footer {
    width: 100%;
    border-top: solid 1px #c9c9c9;
    padding: 10px;
    margin-top: 0px;
    position: sticky;
    top: 100vh;
    background-color: #0056b3;
    bottom: 0;
}


footer p{
    color:#ffffff;
    text-align: center;
}
/*20231002 update ula*/
footer img {
    width: 110px;
    margin-bottom: 26px;
}

footer h4 {
    margin-bottom: 26px;
}

footer a {
    color: #f05f5c;
}

#select td {
    vertical-align: text-top;
}

.navbar .dropdown .btn {
    color: gray;
    background-color: #fff;
    border-color: #fff;
}

.wrapper {
    max-width: 18rem;
    padding: 0 0.5rem;
    margin-left: auto;
    margin-right: auto;
    padding-top: 4rem;
}


/* ui*/

input:focus {
    outline: none;
}

#ui-datepicker-div {
    display: none;
    background-color: rgb(255, 255, 255);
    box-shadow: 0 0.125rem 0.5rem rgba(0, 0, 0, 0.1);
    margin-top: 0.25rem;
    border-radius: 0.5rem;
    padding: 0.5rem;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

.ui-datepicker-calendar thead th {
    padding: 0.25rem 0;
    text-align: center;
    font-size: 0.75rem;
    font-weight: 400;
    color: #78859c;
}

.ui-datepicker-calendar tbody td {
    width: 2.5rem;
    text-align: center;
    padding: 0;
}

.ui-datepicker-calendar tbody td a {
    display: block;
    border-radius: 0.25rem;
    line-height: 2rem;
    transition: 0.3s all;
    color: #546E7A;
    font-size: 0.875rem;
    text-decoration: none;
}

.ui-datepicker-calendar tbody td a:hover {
    background-color: #E0F2F1;
}

.ui-datepicker-calendar tbody td a.ui-state-active {
    background-color: #009688;
    color: white;
}

.ui-datepicker-header a.ui-corner-all {
    cursor: pointer;
    position: absolute;
    top: 0;
    width: 2rem;
    height: 2rem;
    margin: 0.5rem;
    border-radius: 0.25rem;
    transition: 0.3s all;
}

.ui-datepicker-header a.ui-corner-all:hover {
    background-color: #ECEFF1;
}

.ui-datepicker-header a.ui-datepicker-prev {
    left: 0;
    background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMyIgaGVpZ2h0PSIxMyIgdmlld0JveD0iMCAwIDEzIDEzIj48cGF0aCBmaWxsPSIjNDI0NzcwIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik03LjI4OCA2LjI5NkwzLjIwMiAyLjIxYS43MS43MSAwIDAgMSAuMDA3LS45OTljLjI4LS4yOC43MjUtLjI4Ljk5OS0uMDA3TDguODAzIDUuOGEuNjk1LjY5NSAwIDAgMSAuMjAyLjQ5Ni42OTUuNjk1IDAgMCAxLS4yMDIuNDk3bC00LjU5NSA0LjU5NWEuNzA0LjcwNCAwIDAgMS0xLS4wMDcuNzEuNzEgMCAwIDEtLjAwNi0uOTk5bDQuMDg2LTQuMDg2eiIvPjwvc3ZnPg==");
    background-repeat: no-repeat;
    background-size: 0.5rem;
    background-position: 50%;
    transform: rotate(180deg);
}

.ui-datepicker-header a.ui-datepicker-next {
    right: 0;
    background: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMyIgaGVpZ2h0PSIxMyIgdmlld0JveD0iMCAwIDEzIDEzIj48cGF0aCBmaWxsPSIjNDI0NzcwIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik03LjI4OCA2LjI5NkwzLjIwMiAyLjIxYS43MS43MSAwIDAgMSAuMDA3LS45OTljLjI4LS4yOC43MjUtLjI4Ljk5OS0uMDA3TDguODAzIDUuOGEuNjk1LjY5NSAwIDAgMSAuMjAyLjQ5Ni42OTUuNjk1IDAgMCAxLS4yMDIuNDk3bC00LjU5NSA0LjU5NWEuNzA0LjcwNCAwIDAgMS0xLS4wMDcuNzEuNzEgMCAwIDEtLjAwNi0uOTk5bDQuMDg2LTQuMDg2eiIvPjwvc3ZnPg==');
    background-repeat: no-repeat;
    background-size: 10px;
    background-position: 50%;
}

.ui-datepicker-header a>span {
    display: none;
}

.ui-datepicker-title {
    text-align: center;
    line-height: 2rem;
    margin-bottom: 0.25rem;
    font-size: 0.875rem;
    font-weight: 500;
    padding-bottom: 0.25rem;
}

.ui-datepicker-week-col {
    color: #78909C;
    font-weight: 400;
    font-size: 0.75rem;
}
.content{
    padding-top: 65px; /* 调整上边距，确保内容不被导航栏遮挡 */
}

.larger-text {
    font-size: 18px; /* 这里设置文本的字体大小 */
    font-weight: bold;
    text-align: center;
    font-family: "Microsoft JhengHei", sans-serif;
}
.larger-text2 {
    font-size: 24px; /* 这里设置文本的字体大小 */
    font-weight: bold;
    font-family: "Microsoft JhengHei", sans-serif;
}

.outer-box {
    border: 1px solid #ccc; /* 添加边框样式 */
    padding: 10px; /* 添加内边距 */
    text-align: center; /* 文本居中显示 */
    margin-bottom: 10px; /* 可选：添加外边距来分隔外框 */
}
.centered-table {
    margin: 0 auto; /* 居中 */
    width: 80%; /* 设置表格宽度 */
    padding:0;
}
.centered-table2 {
    margin: 0 auto; /* 居中 */
    width: 100%; /* 设置表格宽度 */
}
.circle::before {
    content: "";
    width: 15px;
    height: 15px;
    background-color: green;
    border-radius: 50%;
    display: block; /* 让伪元素变为块级元素，以便设置宽高和圆形 */
    margin: 0 auto; /* 水平居中 */
}
.circle.red::before {
    content: "";
    width: 15px;
    height: 15px;
    background-color: red;
    border-radius: 50%;
    display: block; /* 让伪元素变为块级元素，以便设置宽高和圆形 */
    margin: 0 auto; /* 水平居中 */
}
/*20231002 update ula*/
body {
    background-color: #FFFFFF; /* 设置背景颜色为灰色，可以替换为您想要的颜色 */
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: "Microsoft JhengHei", sans-serif;
    
}
/*20231002 update ula*/
.left-aligned-table {
    margin: 20; /* 去除margin，或者按需调整 */
    width: auto; /* 自动宽度，以适应内容 */
    /* 添加其他您想要的样式 */
}
.modify-link {
    background-color: #ccc; /* 修改链接的背景颜色 */
    padding: 5px 10px; /* 添加填充以增加按钮的大小 */
    text-decoration: none; /* 移除链接下划线 */
    color: #333; /* 修改链接的文本颜色 */
    border: 1px solid #666; /* 添加边框 */
    border-radius: 5px; /* 添加圆角 */
    margin-left: 10px; /* 添加左侧间距 */
}
a
.modify-link:hover {
    background-color: #aaa; /* 鼠标悬停时的背景颜色 */
    color: #fff; /* 鼠标悬停时的文本颜色 */
}
.completed-row {
    background-color: #00B800; /* 已完成的行背景色 */
}

.overdue-row {
    background-color: red; /* 超过结束日期但未完成的行背景色 */
}

.low-progress-row {
    background-color: red; /* 实际进度低于应有进度的行背景色 */
}
.custom-width-input {
    width: 50px; /* 设置所需的宽度，可以根据需要调整 */
}
.col-md-6 {

    margin-bottom: 10px; /* 可选：添加下边距来分隔每一行 */
    padding-bottom: 10px; /* 可选：添加下内边距来调整下边框与输入字段之间的距离 */
}
.btn-primary{
background-color: #0056b3;}
.Required-reminder{
    font-size: 10px;
    color: red;
    text-decoration: none; /* 移除底线 */
    transition: none; /* 移除颜色变化效果 */
}
.Required-reminder:hover {
    color: red; /* 移除移上去的变色效果，保持颜色一致 */
    cursor: default; /* 移除鼠标悬停时的手型光标 */
}
.Half{width: 50%;}
.large-checkbox {
    transform: scale(1.5); /* 放大1.5倍 */
    margin-left: 40px;
}

.nav-item.right-align {
        float: right; /* 或者使用 text-align: right; */
        text-align: right;
}
.sub-options {
    display: none;
}
[id^="editable-div"] img {
    max-width: 60%;  /* 图片的最大宽度 */

}
.editable-div-2 {
    max-width: 40%;
}
#toTop-arrow::before {
	transform: rotate(-45deg) translate(0, -50%);
	left: 0.5rem;
}
#toTop-arrow::after {
	transform: rotate(45deg) translate(0, -50%);
	right: 0.5rem;
}
#toTop-arrow:focus {outline: none;}
#fixed-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
}
#toTop-arrow {
	width: 2.5rem;
	height: 2.5rem;
	padding: 0;
	margin: 0;
	border: 0;
	border-radius: 33%;
	opacity: 0.6;
	background: #000;
	cursor: pointer;
	position:fixed;
	right: 1rem;
	bottom: 1rem;
	display: none;
}
